#[warn(clippy::all, clippy::pedantic)]
mod decode;
mod encode;
mod error;
pub use {decode::Decoder, encode::Encoder, error::Error};

pub static B16_ALPHABET: [char; 16] = [
    '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F',
];

pub(crate) fn get_idx(c: char) -> Option<usize> {
    for (idx, x) in B16_ALPHABET.iter().enumerate() {
        if *x == c {
            return Some(idx);
        }
    }
    None
}
